/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdMobileDevice;
import net.northking.cctp.device.db.mapper.CdMobileDeviceMapper;
import net.northking.cctp.device.dto.device.CdMobileDeviceDetailDto;
import net.northking.cctp.device.dto.device.CdMobileDeviceQueryDto;
import net.northking.cctp.device.dto.device.CdMobileDeviceScriptDto;
import net.northking.cctp.device.dto.device.CdMobileDeviceScriptDto2;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 移动设备信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 14:10:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdMobileDeviceDao extends CdMobileDeviceMapper
{
  List<CdMobileDeviceDetailDto> queryPage(CdMobileDeviceQueryDto dto);

  List<CdMobileDeviceDetailDto> queryDeviceByPro(CdMobileDeviceScriptDto dto);

  List<CdMobileDeviceDetailDto> queryAllMobDevice(CdMobileDeviceScriptDto dto);

  List<CdMobileDeviceDetailDto> queryPublicMobDevice(CdMobileDeviceScriptDto dto);

  List<CdMobileDeviceDetailDto> queryPrivateMobDevice(CdMobileDeviceScriptDto dto);

  List<CdMobileDevice> queryDeviceList(@Param("list") List<String> list);

  List<CdMobileDevice> queryMobileList(@Param("list") List<String> list);

  List<String> queryCtrlIds(List<String> ids);

  void updateDeviceCtrl(@Param("ids") List<String> ids, @Param("ctrlId") String ctrlId);

  List<CdMobileDeviceDetailDto> queryAllMobDevice2(CdMobileDeviceScriptDto2 query);

  List<CdMobileDeviceDetailDto> queryPublicMobDevice2(CdMobileDeviceScriptDto2 dto);

  List<CdMobileDeviceDetailDto> queryPrivateMobDevice2(CdMobileDeviceScriptDto2 dto);
}
